package com.bocloud.cmp.model.installation;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * 平台装机配置Options实体类
 *
 * @author 007
 */
public class Options {
    /**
     * 装机节点id
     */
    private List<Long> nodes;
    /**
     * 装机imageId
     */
    private Long imageId;
    /**
     * 装机配置信息
     */
    private InstallOptions installOptions;
    /**
     * raid配置信息
     */
    private RaidOptions raidOptions;

    /**
     * @return the nodes
     */
    public List<Long> getNodes() {
        return nodes;
    }

    /**
     * @param nodes the nodes to set
     */
    public void setNodes(List<Long> nodes) {
        this.nodes = nodes;
    }

    /**
     * @return the imageId
     */
    public Long getImageId() {
        return imageId;
    }

    /**
     * @param imageId the imageId to set
     */
    public void setImageId(Long imageId) {
        this.imageId = imageId;
    }

    /**
     * @return the installOptions
     */
    public InstallOptions getInstallOptions() {
        return installOptions;
    }

    /**
     * @param installOptions the installOptions to set
     */
    public void setInstallOptions(InstallOptions installOptions) {
        this.installOptions = installOptions;
    }

    /**
     * @return the raidOptions
     */
    public RaidOptions getRaidOptions() {
        return raidOptions;
    }

    /**
     * @param raidOptions the raidOptions to set
     */
    public void setRaidOptions(RaidOptions raidOptions) {
        this.raidOptions = raidOptions;
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
